# Class AbstractSampleSender

java.lang.Object
org.apache.jmeter.samplers.AbstractSampleSender

All Implemented Interfaces:
  `SampleSender`

Direct Known Subclasses:
  `AsynchSampleSender, BatchSampleSender, DataStrippingSampleSender, DiskStoreSampleSender, HoldSampleSender, StandardSampleSender, StatisticalSampleSender`

public abstract class AbstractSampleSender extends Object implements SampleSender
Base class for SampleSender implementations

## Constructor Summary

Constructors
Constructor
Description
`AbstractSampleSender()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isClientConfigured()`
`void`
`testEnded()`
The test ended (probably not used; client-server mode needs a host)

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface SampleSender

`sampleOccurred, testEnded`

## Constructor Details

### AbstractSampleSender

public AbstractSampleSender()

## Method Details

### isClientConfigured

public boolean isClientConfigured()

Returns:
  boolean indicates how SampleSender configuration is done, true means use client properties and send to servers, false means use server configurations

### testEnded

public void testEnded()
Description copied from interface: `SampleSender`
The test ended (probably not used; client-server mode needs a host)

Specified by:
  `testEnded` in interface `SampleSender`